aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-03-10 08:30:56 -0300
committerSilvio Rhatto <rhatto@riseup.net>2017-03-10 08:30:56 -0300
commit7a69990b01cc7f9d25e6fcfc8076bd96154f980c (patch)
tree461c79bc799aa744e55b05b7521167101f024c14
parentd5e7c04e1884badaf19452a2358dd48d5b21dec8 (diff)
downloadscripts-7a69990b01cc7f9d25e6fcfc8076bd96154f980c.tar.gz
scripts-7a69990b01cc7f9d25e6fcfc8076bd96154f980c.tar.bz2
Adds lpq-ssh
-rwxr-xr-xlpq-ssh17
1 files changed, 17 insertions, 0 deletions
diff --git a/lpq-ssh b/lpq-ssh
new file mode 100755
index 0000000..9def1f4
--- /dev/null
+++ b/lpq-ssh
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# LPQ over SSH.
+#
+
+# Parameters
+BASENAME="`basename $0`"
+SERVER="$1"
+
+# Check
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME <server>"
+ exit 1
+fi
+
+# Proceed
+ssh $SERVER lpq